System.Xml [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 To be added System.Object

This class is used by the method. It allows parameters and extension objects to be invoked from within the style sheet.

When the parameters and objects are added to the , they are associated with a namespace qualified name and a namespace URI, respectively.

The following are advantages to passing an object rather than using an embedded script such as <msxsl:script>:

Provides better encapsulation and reuse of classes.

Allows style sheets to be smaller and more easily maintained.

Supports passing node fragments (through the ) to the style sheet.

For more information about using the , see XSLT Extension Objects and XSLT Parameters.

Contains a variable number of arguments which are either XSLT parameters or extension objects.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  None.

  Implements a new instance of the .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  The params keyword, which allows an unspecified number of parameters to be passed, is currently not supported. XSLT style sheets that utilize methods defined with the params keyword does not work correctly. For more information, see params.

  Adds a new object to the and associates it with the namespace URI.

  The namespace URI to associate with the object. To use the default namespace, specify an empty string. The object to add to the list.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` `` ``

  The should correspond to a W3C type. The following table shows the W3C types, either XPath or XSLT, and the corresponding.NET class.

  W3C Type

  Equivalent.NET Class (Type)

  String (XPath)

  Boolean (XPath)

  Number (XPath)

  Result Tree Fragment (XSLT)

  Node Set (XPath)

  XPathNavigator[]

  Node* (XPath)

  *This is equivalent to a node set that contains a single node.

  If the parameter object being invoked from within the style sheet is not one of the above, it is converted according to the following rules:

  CLR numeric types are converted to .

  The type is converted to .

  types are converted to . XPathNavigator[] is converted to .

  All other types throw an error.

  Adds a parameter to the and associates it with the namespace qualified name.

  The name to associate with the parameter. The namespace URI to associate with the parameter. To use the default namespace, specify an empty string. The parameter value or object to add to the list.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void None.

  Removes all parameters and extension objects from the .

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` None.

  Gets the object associated with the given namespace.

  The namespace URI object or null if one was not found.

  The namespace URI of the object.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` `` None.

  Gets the parameter associated with the namespace qualified name.

  The parameter object or null if one was not found.

  The name of the parameter. does not check to ensure the name passed is a valid local name; however, the name cannot be null. The namespace URI associated with the parameter.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` None.

  Removes the object with the namespace URI from the .

  The object with the namespace URI or null if one was not found.

  The namespace URI associated with the object to remove.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` `` None.

  Removes the parameter from the .

  The parameter object or null if one was not found.

  The name of the parameter to remove. does not check to ensure the name passed is a valid local name; however, the name cannot be null. The namespace URI of the parameter to remove.
- Event
  2.0.0.0
  4.0.0.0
  System.Xml.Xsl.XsltMessageEncounteredEventHandler

  If the event is not registered, all messages are piped to standard out.

  Occurs when a message is specified in the style sheet by the xsl:message element.